| Home | Libraries | People | FAQ | More

##### within(Geometry const &)

Generate `within()` predicate.

###### Description

Generate a predicate defining Value and Geometry relationship. Value will be returned by the query if ``bg::within(Indexable, Geometry)`` returns true.

###### Synopsis

    template<typename Geometry>
    unspecified within(Geometry const & g)

###### Template parameter(s)

Parameter | Description
--- | ---
`Geometry` | The Geometry type.

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Geometry const &` | `g` | The Geometry object.

###### Example

    bgi::query(spatial_index, bgi::within(box), std::back_inserter(result));